=== modified file 'breezy/_bencode_pyx.pyx'
--- breezy/_bencode_pyx.pyx	2017-05-21 18:10:28 +0000
+++ breezy/_bencode_pyx.pyx	2017-06-10 01:39:46 +0000
@@ -60,7 +60,7 @@
 
 # To maintain compatibility with older versions of pyrex, we have to use the
 # relative import here, rather than 'breezy._static_tuple_c'
-from _static_tuple_c cimport StaticTuple, StaticTuple_CheckExact, \
+from _static_tuple_c cimport StaticTuple_CheckExact, \
     import_static_tuple_c
 
 import_static_tuple_c()

=== modified file 'breezy/branch.py'
--- breezy/branch.py	2017-06-08 23:30:31 +0000
+++ breezy/branch.py	2017-06-10 01:39:46 +0000
@@ -33,6 +33,8 @@
     transport,
     ui,
     urlutils,
+    )
+from breezy.bzr import (
     vf_search,
     )
 from breezy.i18n import gettext, ngettext

=== modified file 'breezy/bzr/__init__.py'
--- breezy/bzr/__init__.py	2017-06-08 23:30:31 +0000
+++ breezy/bzr/__init__.py	2017-06-10 01:39:46 +0000
@@ -14,4 +14,4 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-
+from __future__ import absolute_import

=== modified file 'breezy/bzr/bzrdir.py'
--- breezy/bzr/bzrdir.py	2017-06-08 23:30:31 +0000
+++ breezy/bzr/bzrdir.py	2017-06-10 01:39:46 +0000
@@ -1799,7 +1799,7 @@
             pass
         else:
             if not isinstance(repo._format, self.target_format.repository_format.__class__):
-                from .repository import CopyConverter
+                from ..repository import CopyConverter
                 ui.ui_factory.note(gettext('starting repository conversion'))
                 converter = CopyConverter(self.target_format.repository_format)
                 converter.convert(repo, pb)

=== modified file 'breezy/bzr/versionedfile.py'
--- breezy/bzr/versionedfile.py	2017-06-08 23:30:31 +0000
+++ breezy/bzr/versionedfile.py	2017-06-10 01:39:46 +0000
@@ -54,20 +54,20 @@
 
 
 adapter_registry = Registry()
-adapter_registry.register_lazy(('knit-delta-gz', 'fulltext'), 'breezy.knit',
+adapter_registry.register_lazy(('knit-delta-gz', 'fulltext'), 'breezy.bzr.knit',
     'DeltaPlainToFullText')
-adapter_registry.register_lazy(('knit-ft-gz', 'fulltext'), 'breezy.knit',
+adapter_registry.register_lazy(('knit-ft-gz', 'fulltext'), 'breezy.bzr.knit',
     'FTPlainToFullText')
 adapter_registry.register_lazy(('knit-annotated-delta-gz', 'knit-delta-gz'),
-    'breezy.knit', 'DeltaAnnotatedToUnannotated')
+    'breezy.bzr.knit', 'DeltaAnnotatedToUnannotated')
 adapter_registry.register_lazy(('knit-annotated-delta-gz', 'fulltext'),
-    'breezy.knit', 'DeltaAnnotatedToFullText')
+    'breezy.bzr.knit', 'DeltaAnnotatedToFullText')
 adapter_registry.register_lazy(('knit-annotated-ft-gz', 'knit-ft-gz'),
-    'breezy.knit', 'FTAnnotatedToUnannotated')
+    'breezy.bzr.knit', 'FTAnnotatedToUnannotated')
 adapter_registry.register_lazy(('knit-annotated-ft-gz', 'fulltext'),
-    'breezy.knit', 'FTAnnotatedToFullText')
+    'breezy.bzr.knit', 'FTAnnotatedToFullText')
 # adapter_registry.register_lazy(('knit-annotated-ft-gz', 'chunked'),
-#     'breezy.knit', 'FTAnnotatedToChunked')
+#     'breezy.bzr.knit', 'FTAnnotatedToChunked')
 
 
 class ContentFactory(object):

=== modified file 'breezy/merge.py'
--- breezy/merge.py	2017-06-05 20:48:31 +0000
+++ breezy/merge.py	2017-06-10 01:39:46 +0000
@@ -37,8 +37,10 @@
     tree as _mod_tree,
     tsort,
     ui,
+    workingtree,
+    )
+from breezy.bzr import (
     versionedfile,
-    workingtree,
     )
 from breezy.i18n import gettext
 """)
@@ -2348,7 +2350,7 @@
         return all_texts
 
     def _build_weave(self):
-        from breezy import weave
+        from .bzr import weave
         self._weave = weave.Weave(weave_name='in_memory_weave',
                                   allow_reserved=True)
         parent_map = self._find_recursive_lcas()

=== modified file 'breezy/plugins/fastimport/bzr_commit_handler.py'
--- breezy/plugins/fastimport/bzr_commit_handler.py	2017-05-23 23:21:16 +0000
+++ breezy/plugins/fastimport/bzr_commit_handler.py	2017-06-10 01:39:46 +0000
@@ -21,11 +21,13 @@
     debug,
     errors,
     generate_ids,
-    inventory,
     osutils,
     revision,
     serializer,
     )
+from ...bzr import (
+    inventory,
+    )
 from ...trace import (
     mutter,
     note,

=== modified file 'breezy/plugins/fastimport/helpers.py'
--- breezy/plugins/fastimport/helpers.py	2017-06-06 22:03:01 +0000
+++ breezy/plugins/fastimport/helpers.py	2017-06-10 01:39:46 +0000
@@ -53,7 +53,6 @@
     :return: the BzrDirFormat or None if no matches were found.
     """
     # Based on code from breezy/info.py ...
-    from ... import bzrdir
     repo_format = repo._format
     candidates  = []
     non_aliases = set(controldir.format_registry.keys())

=== modified file 'breezy/plugins/fastimport/revision_store.py'
--- breezy/plugins/fastimport/revision_store.py	2017-06-08 23:30:31 +0000
+++ breezy/plugins/fastimport/revision_store.py	2017-06-10 01:39:46 +0000
@@ -194,7 +194,7 @@
 
     def _init_chk_inventory(self, revision_id, root_id):
         """Generate a CHKInventory for a parentless revision."""
-        from ... import chk_map
+        from ...bzr import chk_map
         # Get the creation parameters
         chk_store = self.repo.chk_bytes
         serializer = self.repo._format._serializer

=== modified file 'breezy/plugins/weave_fmt/branch.py'
--- breezy/plugins/weave_fmt/branch.py	2017-06-08 23:30:31 +0000
+++ breezy/plugins/weave_fmt/branch.py	2017-06-10 01:39:46 +0000
@@ -96,7 +96,7 @@
         """Return the most suitable metadir for a checkout of this branch.
         """
         from .repository import RepositoryFormat7
-        from ...bzrdir import BzrDirMetaFormat1
+        from ...bzr.bzrdir import BzrDirMetaFormat1
         format = BzrDirMetaFormat1()
         if lightweight:
             format.set_branch_format(self._format)

=== modified file 'breezy/tests/blackbox/test_branch.py'
--- breezy/tests/blackbox/test_branch.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/blackbox/test_branch.py	2017-06-10 01:39:46 +0000
@@ -21,12 +21,14 @@
 
 from breezy import (
     branch,
-    bzrdir,
     controldir,
     errors,
     revision as _mod_revision,
     tests,
     )
+from breezy.bzr import (
+    bzrdir,
+    )
 from breezy.repofmt.knitrepo import RepositoryFormatKnit1
 from breezy.tests import (
     fixtures,

=== modified file 'breezy/tests/blackbox/test_branches.py'
--- breezy/tests/blackbox/test_branches.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/blackbox/test_branches.py	2017-06-10 01:39:46 +0000
@@ -17,7 +17,7 @@
 
 """Black-box tests for brz branches."""
 
-from breezy.bzrdir import BzrDir
+from breezy.bzr.bzrdir import BzrDir
 from breezy.tests import TestCaseWithTransport
 
 

=== modified file 'breezy/tests/blackbox/test_checkout.py'
--- breezy/tests/blackbox/test_checkout.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/blackbox/test_checkout.py	2017-06-10 01:39:46 +0000
@@ -20,11 +20,13 @@
 
 from breezy import (
     branch as _mod_branch,
-    bzrdir,
     controldir,
     errors,
     workingtree,
     )
+from breezy.bzr import (
+    bzrdir,
+    )
 from breezy.tests import (
     TestCaseWithTransport,
     )

=== modified file 'breezy/tests/blackbox/test_dump_btree.py'
--- breezy/tests/blackbox/test_dump_btree.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/blackbox/test_dump_btree.py	2017-06-10 01:39:46 +0000
@@ -18,8 +18,10 @@
 """Tests of the 'brz dump-btree' command."""
 
 from breezy import (
+    tests,
+    )
+from breezy.bzr import (
     btree_index,
-    tests,
     )
 from breezy.tests import (
     http_server,

=== modified file 'breezy/tests/blackbox/test_exceptions.py'
--- breezy/tests/blackbox/test_exceptions.py	2017-06-04 21:54:56 +0000
+++ breezy/tests/blackbox/test_exceptions.py	2017-06-10 01:39:46 +0000
@@ -20,7 +20,6 @@
 import re
 
 from breezy import (
-    bzrdir,
     config,
     controldir,
     errors,
@@ -28,6 +27,9 @@
     repository,
     tests,
     )
+from breezy.bzr import (
+    bzrdir,
+    )
 from breezy.repofmt.groupcompress_repo import RepositoryFormat2a
 
 

=== modified file 'breezy/tests/blackbox/test_ignore.py'
--- breezy/tests/blackbox/test_ignore.py	2017-05-22 00:56:52 +0000
+++ breezy/tests/blackbox/test_ignore.py	2017-06-10 01:39:46 +0000
@@ -26,7 +26,7 @@
     )
 import breezy
 from breezy.branch import Branch
-import breezy.bzrdir as bzrdir
+import breezy.bzr.bzrdir as bzrdir
 from breezy.errors import BzrCommandError
 from breezy.osutils import (
     pathjoin,

=== modified file 'breezy/tests/blackbox/test_info.py'
--- breezy/tests/blackbox/test_info.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/blackbox/test_info.py	2017-06-10 01:39:46 +0000
@@ -22,7 +22,6 @@
 
 from breezy import (
     branch,
-    bzrdir,
     controldir,
     errors,
     info,
@@ -31,6 +30,9 @@
     upgrade,
     urlutils,
     )
+from breezy.bzr import (
+    bzrdir,
+    )
 from breezy.tests.matchers import ContainsNoVfsCalls
 from breezy.transport import memory
 

=== modified file 'breezy/tests/blackbox/test_init.py'
--- breezy/tests/blackbox/test_init.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/blackbox/test_init.py	2017-06-10 01:39:46 +0000
@@ -26,7 +26,7 @@
     osutils,
     urlutils,
     )
-from breezy.bzrdir import BzrDirMetaFormat1
+from breezy.bzr.bzrdir import BzrDirMetaFormat1
 from breezy.tests import TestSkipped
 from breezy.tests import TestCaseWithTransport
 from breezy.tests.test_sftp_transport import TestCaseWithSFTPServer

=== modified file 'breezy/tests/blackbox/test_push.py'
--- breezy/tests/blackbox/test_push.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/blackbox/test_push.py	2017-06-10 01:39:46 +0000
@@ -21,7 +21,6 @@
 
 from breezy import (
     branch,
-    bzrdir,
     controldir,
     errors,
     osutils,
@@ -31,6 +30,9 @@
     urlutils,
     workingtree
     )
+from breezy.bzr import (
+    bzrdir,
+    )
 from breezy.repofmt import knitrepo
 from breezy.tests import (
     http_server,

=== modified file 'breezy/tests/blackbox/test_reconcile.py'
--- breezy/tests/blackbox/test_reconcile.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/blackbox/test_reconcile.py	2017-06-10 01:39:46 +0000
@@ -19,8 +19,10 @@
 
 from breezy import (
     controldir,
+    tests,
+    )
+from breezy.bzr import (
     inventory,
-    tests,
     )
 from breezy.tests.matchers import ContainsNoVfsCalls
 

=== modified file 'breezy/tests/blackbox/test_reference.py'
--- breezy/tests/blackbox/test_reference.py	2017-06-04 21:54:56 +0000
+++ breezy/tests/blackbox/test_reference.py	2017-06-10 01:39:46 +0000
@@ -16,9 +16,11 @@
 
 
 from breezy import (
-    bzrbranch as _mod_bzrbranch,
     controldir,
     )
+from breezy.bzr import (
+    branch as _mod_bzrbranch,
+    )
 from breezy.tests import TestCaseWithTransport
 
 

=== modified file 'breezy/tests/blackbox/test_shared_repository.py'
--- breezy/tests/blackbox/test_shared_repository.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/blackbox/test_shared_repository.py	2017-06-10 01:39:46 +0000
@@ -18,7 +18,7 @@
 
 import os
 
-from breezy.bzrdir import BzrDirMetaFormat1
+from breezy.bzr.bzrdir import BzrDirMetaFormat1
 from breezy.controldir import ControlDir
 import breezy.errors as errors
 from breezy.tests import TestCaseInTempDir

=== modified file 'breezy/tests/blackbox/test_status.py'
--- breezy/tests/blackbox/test_status.py	2017-05-22 00:56:52 +0000
+++ breezy/tests/blackbox/test_status.py	2017-06-10 01:39:46 +0000
@@ -27,12 +27,14 @@
 import sys
 
 from ... import (
-    bzrdir,
     conflicts,
     errors,
     osutils,
     status,
     )
+from breezy.bzr import (
+    bzrdir,
+    )
 import breezy.branch
 from ...osutils import pathjoin
 from ...revisionspec import RevisionSpec

=== modified file 'breezy/tests/blackbox/test_uncommit.py'
--- breezy/tests/blackbox/test_uncommit.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/blackbox/test_uncommit.py	2017-06-10 01:39:46 +0000
@@ -19,7 +19,7 @@
 import os
 
 from breezy import uncommit
-from breezy.bzrdir import BzrDirMetaFormat1
+from breezy.bzr.bzrdir import BzrDirMetaFormat1
 from breezy.errors import BoundBranchOutOfDate
 from breezy.tests import TestCaseWithTransport
 from breezy.tests.matchers import ContainsNoVfsCalls

=== modified file 'breezy/tests/blackbox/test_update.py'
--- breezy/tests/blackbox/test_update.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/blackbox/test_update.py	2017-06-10 01:39:46 +0000
@@ -21,11 +21,13 @@
 
 from breezy import (
     branch,
-    bzrdir,
     osutils,
     tests,
     workingtree,
     )
+from breezy.bzr import (
+    bzrdir,
+    )
 from breezy.tests.script import ScriptRunner
 
 

=== modified file 'breezy/tests/blackbox/test_upgrade.py'
--- breezy/tests/blackbox/test_upgrade.py	2017-05-22 00:56:52 +0000
+++ breezy/tests/blackbox/test_upgrade.py	2017-06-10 01:39:46 +0000
@@ -19,12 +19,14 @@
 import stat
 
 from breezy import (
-    bzrdir,
     controldir,
     lockable_files,
     ui,
     urlutils,
     )
+from breezy.bzr import (
+    bzrdir,
+    )
 from breezy.tests import (
     features,
     TestCaseWithTransport,

=== modified file 'breezy/tests/per_branch/test_branch.py'
--- breezy/tests/per_branch/test_branch.py	2017-06-04 22:57:11 +0000
+++ breezy/tests/per_branch/test_branch.py	2017-06-10 01:39:46 +0000
@@ -20,7 +20,6 @@
 
 from breezy import (
     branch as _mod_branch,
-    bzrbranch as _mod_bzrbranch,
     controldir,
     config,
     delta as _mod_delta,
@@ -36,6 +35,9 @@
     shelf,
     tests,
     )
+from breezy.bzr import (
+    branch as _mod_bzrbranch,
+    )
 from breezy.tests import (
     per_branch,
     )

=== modified file 'breezy/tests/per_branch/test_permissions.py'
--- breezy/tests/per_branch/test_permissions.py	2017-06-04 22:57:11 +0000
+++ breezy/tests/per_branch/test_permissions.py	2017-06-10 01:39:46 +0000
@@ -31,7 +31,7 @@
 import stat
 
 from breezy import tests
-from breezy.bzrbranch import BzrBranch
+from breezy.bzr.branch import BzrBranch
 from breezy.controldir import ControlDir
 from breezy.remote import RemoteBranchFormat
 from breezy.tests.test_permissions import check_mode_r

=== modified file 'breezy/tests/per_branch/test_reconcile.py'
--- breezy/tests/per_branch/test_reconcile.py	2017-06-04 22:57:11 +0000
+++ breezy/tests/per_branch/test_reconcile.py	2017-06-10 01:39:46 +0000
@@ -17,7 +17,7 @@
 """Tests for branch implementations - test reconcile() functionality"""
 
 from breezy import errors, reconcile
-from breezy.bzrbranch import BzrBranch
+from breezy.bzr.branch import BzrBranch
 from breezy.symbol_versioning import deprecated_in
 from breezy.tests.per_branch import TestCaseWithBranch
 from breezy.tests import TestNotApplicable

=== modified file 'breezy/tests/per_branch/test_sprout.py'
--- breezy/tests/per_branch/test_sprout.py	2017-06-04 22:57:11 +0000
+++ breezy/tests/per_branch/test_sprout.py	2017-06-10 01:39:46 +0000
@@ -19,13 +19,15 @@
 import os
 from breezy import (
     branch as _mod_branch,
-    bzrbranch as _mod_bzrbranch,
     errors,
     osutils,
     remote,
     revision as _mod_revision,
     tests,
     )
+from breezy.bzr import (
+    branch as _mod_bzrbranch,
+    )
 from breezy.tests import (
     features,
     )

=== modified file 'breezy/tests/per_bzrdir/test_bzrdir.py'
--- breezy/tests/per_bzrdir/test_bzrdir.py	2017-06-05 20:48:31 +0000
+++ breezy/tests/per_bzrdir/test_bzrdir.py	2017-06-10 01:39:46 +0000
@@ -21,7 +21,6 @@
 
 import breezy.branch
 from breezy import (
-    bzrdir,
     controldir,
     errors,
     repository,
@@ -29,6 +28,9 @@
     transport,
     workingtree,
     )
+from breezy.bzr import (
+    bzrdir,
+    )
 from breezy.remote import RemoteBzrDirFormat
 from breezy.tests import (
     TestNotApplicable,

=== modified file 'breezy/tests/per_interrepository/test_fetch.py'
--- breezy/tests/per_interrepository/test_fetch.py	2017-05-22 00:56:52 +0000
+++ breezy/tests/per_interrepository/test_fetch.py	2017-06-10 01:39:46 +0000
@@ -19,15 +19,17 @@
 
 from breezy import (
     errors,
-    inventory,
     osutils,
     repository,
+    )
+from breezy.bzr import (
+    inventory,
     versionedfile,
     )
 from breezy.errors import (
     NoSuchRevision,
     )
-from breezy.vf_search import (
+from breezy.bzr.vf_search import (
     SearchResult,
     )
 from breezy.revision import (

=== modified file 'breezy/tests/per_repository/test_commit_builder.py'
--- breezy/tests/per_repository/test_commit_builder.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/per_repository/test_commit_builder.py	2017-06-10 01:39:46 +0000
@@ -21,12 +21,14 @@
 from breezy import (
     config,
     errors,
-    inventory,
     osutils,
     repository,
     revision as _mod_revision,
     tests,
     )
+from breezy.bzr import (
+    inventory,
+    )
 from breezy.tests import per_repository
 from breezy.tests import (
     features,

=== modified file 'breezy/tests/per_repository/test_repository.py'
--- breezy/tests/per_repository/test_repository.py	2017-06-08 23:30:31 +0000
+++ breezy/tests/per_repository/test_repository.py	2017-06-10 01:39:46 +0000
@@ -20,14 +20,11 @@
 
 from ... import (
     branch as _mod_branch,
-    bzrbranch as _mod_bzrbranch,
-    bzrrepository,
     controldir,
     delta as _mod_delta,
     errors,
     gpg,
     info,
-    inventory,
     remote,
     repository,
     revision as _mod_revision,
@@ -36,6 +33,11 @@
     upgrade,
     workingtree,
     )
+from ...bzr import (
+    branch as _mod_bzrbranch,
+    inventory,
+    repository as bzrrepository,
+    )
 from ...repofmt import (
     knitpack_repo,
     )

=== modified file 'breezy/tests/per_repository_chk/test_supported.py'
--- breezy/tests/per_repository_chk/test_supported.py	2017-05-22 00:56:52 +0000
+++ breezy/tests/per_repository_chk/test_supported.py	2017-06-10 01:39:46 +0000
@@ -17,13 +17,15 @@
 """Tests for repositories that support CHK indices."""
 
 from breezy import (
-    btree_index,
     errors,
     osutils,
     repository,
     )
+from breezy.bzr import (
+    btree_index,
+    )
+from breezy.bzr.versionedfile import VersionedFiles
 from breezy.remote import RemoteRepository
-from breezy.versionedfile import VersionedFiles
 from breezy.tests import TestNotApplicable
 from breezy.tests.per_repository_chk import TestCaseWithRepositoryCHK
 

=== modified file 'breezy/tests/per_repository_reference/test_fetch.py'
--- breezy/tests/per_repository_reference/test_fetch.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/per_repository_reference/test_fetch.py	2017-06-10 01:39:46 +0000
@@ -17,6 +17,8 @@
 
 from breezy import (
     branch,
+    )
+from breezy.bzr import (
     vf_search,
     )
 from breezy.tests.per_repository import TestCaseWithRepository

=== modified file 'breezy/tests/per_repository_reference/test_get_record_stream.py'
--- breezy/tests/per_repository_reference/test_get_record_stream.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/per_repository_reference/test_get_record_stream.py	2017-06-10 01:39:46 +0000
@@ -18,6 +18,8 @@
 
 from breezy import (
     errors,
+    )
+from breezy.bzr import (
     knit,
     )
 from breezy.tests.per_repository_reference import (

=== modified file 'breezy/tests/per_repository_vf/helpers.py'
--- breezy/tests/per_repository_vf/helpers.py	2017-05-22 00:56:52 +0000
+++ breezy/tests/per_repository_vf/helpers.py	2017-06-10 01:39:46 +0000
@@ -17,10 +17,12 @@
 """Helper classes for repository implementation tests."""
 
 from ... import (
-    inventory,
     osutils,
     revision as _mod_revision,
     )
+from ...bzr import (
+    inventory,
+    )
 from ...repofmt.knitrepo import RepositoryFormatKnit
 from ..per_repository import TestCaseWithRepository
 from .. import TestNotApplicable

=== modified file 'breezy/tests/per_repository_vf/test_fetch.py'
--- breezy/tests/per_repository_vf/test_fetch.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/per_repository_vf/test_fetch.py	2017-06-10 01:39:46 +0000
@@ -16,7 +16,7 @@
 
 """Tests for fetch between repositories of the same type."""
 
-from breezy import (
+from breezy.bzr import (
     vf_search,
     )
 from breezy.tests.per_repository_vf import (

=== modified file 'breezy/tests/per_repository_vf/test_fileid_involved.py'
--- breezy/tests/per_repository_vf/test_fileid_involved.py	2017-05-22 00:56:52 +0000
+++ breezy/tests/per_repository_vf/test_fileid_involved.py	2017-06-10 01:39:46 +0000
@@ -19,12 +19,14 @@
 
 from breezy import (
     errors,
-    inventory,
     remote,
     revision as _mod_revision,
     tests,
     transform,
     )
+from breezy.bzr import (
+    inventory,
+    )
 from breezy.tests.scenarios import load_tests_apply_scenarios
 from breezy.tests.per_repository_vf import (
     TestCaseWithRepository,

=== modified file 'breezy/tests/per_repository_vf/test_merge_directive.py'
--- breezy/tests/per_repository_vf/test_merge_directive.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/per_repository_vf/test_merge_directive.py	2017-06-10 01:39:46 +0000
@@ -21,8 +21,10 @@
 """
 
 from breezy import (
+    merge_directive,
+    )
+from breezy.bzr import (
     chk_map,
-    merge_directive,
     )
 
 from breezy.tests.scenarios import load_tests_apply_scenarios

=== modified file 'breezy/tests/per_repository_vf/test_repository.py'
--- breezy/tests/per_repository_vf/test_repository.py	2017-05-30 19:16:23 +0000
+++ breezy/tests/per_repository_vf/test_repository.py	2017-06-10 01:39:46 +0000
@@ -19,10 +19,12 @@
 from breezy import (
     errors,
     gpg,
-    inventory,
     repository as _mod_repository,
     revision as _mod_revision,
     tests,
+    )
+from breezy.bzr import (
+    inventory,
     versionedfile,
     vf_repository,
     )

=== modified file 'breezy/tests/per_repository_vf/test_write_group.py'
--- breezy/tests/per_repository_vf/test_write_group.py	2017-06-08 23:30:31 +0000
+++ breezy/tests/per_repository_vf/test_write_group.py	2017-06-10 01:39:46 +0000
@@ -27,7 +27,7 @@
     tests,
     )
 from breezy.bzr import (
-    bzrbranch,
+    branch as bzrbranch,
     versionedfile,
     )
 from breezy.tests.per_repository_vf import (

=== modified file 'breezy/tests/per_tree/test_tree.py'
--- breezy/tests/per_tree/test_tree.py	2017-05-30 19:16:23 +0000
+++ breezy/tests/per_tree/test_tree.py	2017-06-10 01:39:46 +0000
@@ -20,6 +20,8 @@
     osutils,
     revisiontree,
     tests,
+    )
+from breezy.bzr import (
     workingtree_4,
     )
 from breezy.tests import TestSkipped

=== modified file 'breezy/tests/per_workingtree/test_add.py'
--- breezy/tests/per_workingtree/test_add.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/per_workingtree/test_add.py	2017-06-10 01:39:46 +0000
@@ -18,8 +18,10 @@
 
 from breezy import (
     errors,
+    tests,
+    )
+from breezy.bzr import (
     inventory,
-    tests,
     )
 from breezy.tests.matchers import HasLayout
 from breezy.tests.per_workingtree import TestCaseWithWorkingTree

=== modified file 'breezy/tests/per_workingtree/test_basis_inventory.py'
--- breezy/tests/per_workingtree/test_basis_inventory.py	2017-05-21 18:10:28 +0000
+++ breezy/tests/per_workingtree/test_basis_inventory.py	2017-06-10 01:39:46 +0000
@@ -16,7 +16,7 @@
 
 from breezy.tests import TestNotApplicable
 from breezy.tests.per_workingtree import TestCaseWithWorkingTree
-import breezy.xml6
+import breezy.bzr.xml6
 
 
 class TestBasisInventory(TestCaseWithWorkingTree):
@@ -53,7 +53,7 @@
         self.assertTrue(t._transport.has('basis-inventory-cache'))
 
         basis_inv_txt = t.read_basis_inventory()
-        basis_inv = breezy.xml7.serializer_v7.read_inventory_from_string(basis_inv_txt)
+        basis_inv = breezy.bzr.xml7.serializer_v7.read_inventory_from_string(basis_inv_txt)
         self.assertEqual('r2', basis_inv.revision_id)
         store_inv = b.repository.get_inventory('r2')
 

=== modified file 'breezy/tests/per_workingtree/test_check.py'
--- breezy/tests/per_workingtree/test_check.py	2017-06-07 01:57:29 +0000
+++ breezy/tests/per_workingtree/test_check.py	2017-06-10 01:39:46 +0000
@@ -18,7 +18,7 @@
 
 from breezy.tests.per_workingtree import TestCaseWithWorkingTree
 
-from breezy.bzrworkingtree import InventoryWorkingTree
+from breezy.bzr.workingtree import InventoryWorkingTree
 from breezy.tests import TestNotApplicable
 
 

=== modified file 'breezy/tests/per_workingtree/test_inv.py'
--- breezy/tests/per_workingtree/test_inv.py	2017-05-25 01:35:55 +0000
+++ breezy/tests/per_workingtree/test_inv.py	2017-06-10 01:39:46 +0000
@@ -19,7 +19,8 @@
 
 import os
 
-from breezy import inventory, tests
+from breezy import tests
+from breezy.bzr import inventory
 from breezy.tests.per_workingtree import TestCaseWithWorkingTree
 
 

=== modified file 'breezy/tests/per_workingtree/test_nested_specifics.py'
--- breezy/tests/per_workingtree/test_nested_specifics.py	2017-05-25 01:35:55 +0000
+++ breezy/tests/per_workingtree/test_nested_specifics.py	2017-06-10 01:39:46 +0000
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
 
-from breezy import (
+from breezy.bzr import (
     inventory,
     )
 from breezy.tests import TestNotApplicable

=== modified file 'breezy/tests/per_workingtree/test_parents.py'
--- breezy/tests/per_workingtree/test_parents.py	2017-06-05 20:48:31 +0000
+++ breezy/tests/per_workingtree/test_parents.py	2017-06-10 01:39:46 +0000
@@ -22,7 +22,7 @@
     errors,
     revision as _mod_revision,
     )
-from ...inventory import (
+from ...bzr.inventory import (
     Inventory,
     InventoryFile,
     InventoryDirectory,

=== modified file 'breezy/tests/per_workingtree/test_read_working_inventory.py'
--- breezy/tests/per_workingtree/test_read_working_inventory.py	2017-06-07 01:57:29 +0000
+++ breezy/tests/per_workingtree/test_read_working_inventory.py	2017-06-10 01:39:46 +0000
@@ -16,10 +16,11 @@
 
 """Tests for WorkingTree.read_working_inventory."""
 
-from breezy import errors, inventory
+from breezy import errors
+from breezy.bzr import inventory
 from breezy.tests import TestNotApplicable
 from breezy.tests.per_workingtree import TestCaseWithWorkingTree
-from breezy.bzrworkingtree import InventoryWorkingTree
+from breezy.bzr.workingtree import InventoryWorkingTree
 
 
 class TestReadWorkingInventory(TestCaseWithWorkingTree):

=== modified file 'breezy/tests/per_workingtree/test_workingtree.py'
--- breezy/tests/per_workingtree/test_workingtree.py	2017-06-07 01:58:34 +0000
+++ breezy/tests/per_workingtree/test_workingtree.py	2017-06-10 01:39:46 +0000
@@ -35,7 +35,7 @@
     UnsupportedOperation,
     PathsNotVersionedError,
     )
-from ...inventory import Inventory
+from ...bzr.inventory import Inventory
 from ...mutabletree import MutableTree
 from ...osutils import pathjoin, getcwd, has_symlinks
 from ...sixish import (
@@ -47,7 +47,7 @@
     TestNotApplicable,
     )
 from .  import TestCaseWithWorkingTree
-from ...bzrworkingtree import (
+from ...bzr.workingtree import (
     InventoryWorkingTree,
     )
 from ...workingtree import (

=== modified file 'breezy/tests/test__chk_map.py'
--- breezy/tests/test__chk_map.py	2017-06-08 23:30:31 +0000
+++ breezy/tests/test__chk_map.py	2017-06-10 01:39:46 +0000
@@ -28,7 +28,7 @@
 
 def load_tests(loader, standard_tests, pattern):
     suite, _ = tests.permute_tests_for_extension(standard_tests, loader,
-        'breezy._chk_map_py', 'breezy._chk_map_pyx')
+        'breezy.bzr._chk_map_py', 'breezy.bzr._chk_map_pyx')
     return suite
 
 

=== modified file 'breezy/tests/test__dirstate_helpers.py'
--- breezy/tests/test__dirstate_helpers.py	2017-06-08 23:30:31 +0000
+++ breezy/tests/test__dirstate_helpers.py	2017-06-10 01:39:46 +0000
@@ -46,7 +46,7 @@
 
 
 compiled_dirstate_helpers_feature = features.ModuleAvailableFeature(
-    'breezy._dirstate_helpers_pyx')
+    'breezy.bzr._dirstate_helpers_pyx')
 
 
 # FIXME: we should also parametrize against SHA1Provider !
@@ -228,7 +228,7 @@
     """Run all Bisect Path tests against _bisect_path_left."""
 
     def get_bisect_path(self):
-        from breezy._dirstate_helpers_py import _bisect_path_left
+        from breezy.bzr._dirstate_helpers_py import _bisect_path_left
         return _bisect_path_left
 
     def get_bisect(self):
@@ -241,7 +241,7 @@
     _test_needs_features = [compiled_dirstate_helpers_feature]
 
     def get_bisect_path(self):
-        from breezy._dirstate_helpers_pyx import _bisect_path_left
+        from breezy.bzr._dirstate_helpers_pyx import _bisect_path_left
         return _bisect_path_left
 
 
@@ -249,7 +249,7 @@
     """Run all Bisect Path tests against _bisect_path_right"""
 
     def get_bisect_path(self):
-        from breezy._dirstate_helpers_py import _bisect_path_right
+        from breezy.bzr._dirstate_helpers_py import _bisect_path_right
         return _bisect_path_right
 
     def get_bisect(self):
@@ -262,7 +262,7 @@
     _test_needs_features = [compiled_dirstate_helpers_feature]
 
     def get_bisect_path(self):
-        from breezy._dirstate_helpers_pyx import _bisect_path_right
+        from breezy.bzr._dirstate_helpers_pyx import _bisect_path_right
         return _bisect_path_right
 
 
@@ -280,7 +280,7 @@
 
     def get_bisect_dirblock(self):
         """Return an implementation of bisect_dirblock"""
-        from breezy._dirstate_helpers_py import bisect_dirblock
+        from breezy.bzr._dirstate_helpers_py import bisect_dirblock
         return bisect_dirblock
 
     def assertBisect(self, dirblocks, split_dirblocks, path, *args, **kwargs):
@@ -374,7 +374,7 @@
     _test_needs_features = [compiled_dirstate_helpers_feature]
 
     def get_bisect_dirblock(self):
-        from breezy._dirstate_helpers_pyx import bisect_dirblock
+        from breezy.bzr._dirstate_helpers_pyx import bisect_dirblock
         return bisect_dirblock
 
 
@@ -390,7 +390,7 @@
 
     def get_cmp_by_dirs(self):
         """Get a specific implementation of cmp_by_dirs."""
-        from breezy._dirstate_helpers_py import cmp_by_dirs
+        from breezy.bzr._dirstate_helpers_py import cmp_by_dirs
         return cmp_by_dirs
 
     def assertCmpByDirs(self, expected, str1, str2):
@@ -496,7 +496,7 @@
     _test_needs_features = [compiled_dirstate_helpers_feature]
 
     def get_cmp_by_dirs(self):
-        from breezy._dirstate_helpers_pyx import cmp_by_dirs
+        from breezy.bzr._dirstate_helpers_pyx import cmp_by_dirs
         return cmp_by_dirs
 
 
@@ -512,7 +512,7 @@
 
     def get_cmp_path_by_dirblock(self):
         """Get a specific implementation of _cmp_path_by_dirblock."""
-        from breezy._dirstate_helpers_py import _cmp_path_by_dirblock
+        from breezy.bzr._dirstate_helpers_py import _cmp_path_by_dirblock
         return _cmp_path_by_dirblock
 
     def assertCmpPathByDirblock(self, paths):
@@ -647,7 +647,7 @@
     _test_needs_features = [compiled_dirstate_helpers_feature]
 
     def get_cmp_by_dirs(self):
-        from breezy._dirstate_helpers_pyx import _cmp_path_by_dirblock
+        from breezy.bzr._dirstate_helpers_pyx import _cmp_path_by_dirblock
         return _cmp_path_by_dirblock
 
 
@@ -657,7 +657,7 @@
     _test_needs_features = [compiled_dirstate_helpers_feature]
 
     def assertMemRChr(self, expected, s, c):
-        from breezy._dirstate_helpers_pyx import _py_memrchr
+        from breezy.bzr._dirstate_helpers_pyx import _py_memrchr
         self.assertEqual(expected, _py_memrchr(s, c))
 
     def test_missing(self):
@@ -707,7 +707,7 @@
     # inherits scenarios from test_dirstate
 
     def get_read_dirblocks(self):
-        from breezy._dirstate_helpers_py import _read_dirblocks
+        from breezy.bzr._dirstate_helpers_py import _read_dirblocks
         return _read_dirblocks
 
     def test_smoketest(self):
@@ -747,7 +747,7 @@
     _test_needs_features = [compiled_dirstate_helpers_feature]
 
     def get_read_dirblocks(self):
-        from breezy._dirstate_helpers_pyx import _read_dirblocks
+        from breezy.bzr._dirstate_helpers_pyx import _read_dirblocks
         return _read_dirblocks
 
 
@@ -761,52 +761,52 @@
 
     def test_bisect_dirblock(self):
         if compiled_dirstate_helpers_feature.available():
-            from breezy._dirstate_helpers_pyx import bisect_dirblock
+            from breezy.bzr._dirstate_helpers_pyx import bisect_dirblock
         else:
-            from breezy._dirstate_helpers_py import bisect_dirblock
+            from breezy.bzr._dirstate_helpers_py import bisect_dirblock
         self.assertIs(bisect_dirblock, dirstate.bisect_dirblock)
 
     def test__bisect_path_left(self):
         if compiled_dirstate_helpers_feature.available():
-            from breezy._dirstate_helpers_pyx import _bisect_path_left
+            from breezy.bzr._dirstate_helpers_pyx import _bisect_path_left
         else:
-            from breezy._dirstate_helpers_py import _bisect_path_left
+            from breezy.bzr._dirstate_helpers_py import _bisect_path_left
         self.assertIs(_bisect_path_left, dirstate._bisect_path_left)
 
     def test__bisect_path_right(self):
         if compiled_dirstate_helpers_feature.available():
-            from breezy._dirstate_helpers_pyx import _bisect_path_right
+            from breezy.bzr._dirstate_helpers_pyx import _bisect_path_right
         else:
-            from breezy._dirstate_helpers_py import _bisect_path_right
+            from breezy.bzr._dirstate_helpers_py import _bisect_path_right
         self.assertIs(_bisect_path_right, dirstate._bisect_path_right)
 
     def test_cmp_by_dirs(self):
         if compiled_dirstate_helpers_feature.available():
-            from breezy._dirstate_helpers_pyx import cmp_by_dirs
+            from breezy.bzr._dirstate_helpers_pyx import cmp_by_dirs
         else:
-            from breezy._dirstate_helpers_py import cmp_by_dirs
+            from breezy.bzr._dirstate_helpers_py import cmp_by_dirs
         self.assertIs(cmp_by_dirs, dirstate.cmp_by_dirs)
 
     def test__read_dirblocks(self):
         if compiled_dirstate_helpers_feature.available():
-            from breezy._dirstate_helpers_pyx import _read_dirblocks
+            from breezy.bzr._dirstate_helpers_pyx import _read_dirblocks
         else:
-            from breezy._dirstate_helpers_py import _read_dirblocks
+            from breezy.bzr._dirstate_helpers_py import _read_dirblocks
         self.assertIs(_read_dirblocks, dirstate._read_dirblocks)
 
     def test_update_entry(self):
         if compiled_dirstate_helpers_feature.available():
-            from breezy._dirstate_helpers_pyx import update_entry
+            from breezy.bzr._dirstate_helpers_pyx import update_entry
         else:
-            from breezy.dirstate import update_entry
+            from breezy.bzr.dirstate import update_entry
         self.assertIs(update_entry, dirstate.update_entry)
 
     def test_process_entry(self):
         if compiled_dirstate_helpers_feature.available():
-            from breezy._dirstate_helpers_pyx import ProcessEntryC
+            from breezy.bzr._dirstate_helpers_pyx import ProcessEntryC
             self.assertIs(ProcessEntryC, dirstate._process_entry)
         else:
-            from breezy.dirstate import ProcessEntryPython
+            from breezy.bzr.dirstate import ProcessEntryPython
             self.assertIs(ProcessEntryPython, dirstate._process_entry)
 
 

=== modified file 'breezy/tests/test_btree_index.py'
--- breezy/tests/test_btree_index.py	2017-06-08 23:30:31 +0000
+++ breezy/tests/test_btree_index.py	2017-06-10 01:39:46 +0000
@@ -53,7 +53,7 @@
 
 
 compiled_btreeparser_feature = features.ModuleAvailableFeature(
-    'breezy._btree_serializer_pyx')
+    'breezy.bzr._btree_serializer_pyx')
 
 
 class BTreeTestCase(TestCaseWithTransport):

=== modified file 'breezy/tests/test_bundle.py'
--- breezy/tests/test_bundle.py	2017-06-08 23:30:31 +0000
+++ breezy/tests/test_bundle.py	2017-06-10 01:39:46 +0000
@@ -74,7 +74,7 @@
 class MockTree(object):
 
     def __init__(self):
-        from ..inventory import InventoryDirectory, ROOT_ID
+        from ..bzr.inventory import InventoryDirectory, ROOT_ID
         object.__init__(self)
         self.paths = {ROOT_ID: ""}
         self.ids = {"": ROOT_ID}
@@ -118,7 +118,7 @@
         return kind
 
     def make_entry(self, file_id, path):
-        from ..inventory import (InventoryFile , InventoryDirectory,
+        from ..bzr.inventory import (InventoryFile , InventoryDirectory,
             InventoryLink)
         name = os.path.basename(path)
         kind = self.kind(file_id)

=== modified file 'breezy/tests/test_knit.py'
--- breezy/tests/test_knit.py	2017-06-08 23:30:31 +0000
+++ breezy/tests/test_knit.py	2017-06-10 01:39:46 +0000
@@ -895,7 +895,7 @@
 
     def get_knit_index(self, transport, name, mode):
         mapper = ConstantMapper(name)
-        from ._knit_load_data_py import _load_data_py
+        from ..bzr._knit_load_data_py import _load_data_py
         self.overrideAttr(knit, '_load_data', _load_data_py)
         allow_writes = lambda: 'w' in mode
         return _KndxIndex(transport, mapper, lambda:None, allow_writes, lambda:True)
@@ -1326,7 +1326,7 @@
 
     def get_knit_index(self, transport, name, mode):
         mapper = ConstantMapper(name)
-        from ._knit_load_data_pyx import _load_data_c
+        from ..bzr._knit_load_data_pyx import _load_data_c
         self.overrideAttr(knit, '_load_data', _load_data_c)
         allow_writes = lambda: mode == 'w'
         return _KndxIndex(transport, mapper, lambda:None,

=== modified file 'breezy/tests/test_selftest.py'
--- breezy/tests/test_selftest.py	2017-06-08 23:30:31 +0000
+++ breezy/tests/test_selftest.py	2017-06-10 01:39:46 +0000
@@ -483,8 +483,8 @@
         from .per_intertree import (
             make_scenarios,
             )
-        from ..workingtree_3 import WorkingTreeFormat3
-        from ..workingtree_4 import WorkingTreeFormat4
+        from ..bzr.workingtree_3 import WorkingTreeFormat3
+        from ..bzr.workingtree_4 import WorkingTreeFormat4
         input_test = TestInterTreeScenarios(
             "test_scenarios")
         server1 = "a"
@@ -2001,9 +2001,9 @@
 
     def test_make_branch_and_tree_with_format(self):
         # we should be able to supply a format to make_branch_and_tree
-        self.make_branch_and_tree('a', format=breezy.bzrdir.BzrDirMetaFormat1())
+        self.make_branch_and_tree('a', format=breezy.bzr.bzrdir.BzrDirMetaFormat1())
         self.assertIsInstance(breezy.controldir.ControlDir.open('a')._format,
-                              breezy.bzrdir.BzrDirMetaFormat1)
+                              breezy.bzr.bzrdir.BzrDirMetaFormat1)
 
     def test_make_branch_and_memory_tree(self):
         # we should be able to get a new branch and a mutable tree from

